‘Bad Interpreter’ Error from AWS

Recently I updated my python version in Mac and realized that awscli stopped working after that. I was getting the error message as below

-bash: /usr/local/bin/gimme-aws-creds: /usr/local/Cellar/gimme-aws-creds/2.3.5/libexec/bin/python: bad interpreter: No such file or directory`

To fix this error, uninstall the old version of the awscli sdk and re-install it again.

brew reinstall awscli
brew link --overwrite awscli